# Web开发启动脚本、打包脚本

## TODO

  ### ESDoc

  ### PM2

  ### test

  ### Jest

## 统一配置--环境变量

  环境变量，使用`config-ivan`库通过.env类的配置文件注入NodeJS process中.

  环境变量不会覆盖赋值，越靠前具有更高优先级

  不推荐针对不同环境配置不同的.env文件

### 配置名=(default value)

  * 构建开发Node server时配置端口号
    PORT=40000

  * 构建开发Node server时配置的域名
    HOST=localhost

  * 开发时配置opn库options参数app属性值，none不主动打开浏览器，不配置默认打开
    BROWSER

  * 打包生产文件夹项目路径
    APP_BUILD=build

  * 配置页面html文件路径
    APP_HTML=public/index.html

  * 项目public文件夹
    APP_PUBLIC=public

  * 入口JavaScript文件
    APP_INDEXJS=src/index.js

  * 项目源码目录
    APP_SRC=src

  * 生产打包JavaScript文件以及CSS文件是否生成source map文件，判定是否不等于字符串"false"
    GENERATE_SOURCEMAP=true

  * POSTCSS中是否进行px单位到rem单位到转换，判定是否等于字符串"true"
    PXTOREM=

  * CDN的url设置
    PUBLIC_URL=/

  * 是否采用HTTPS, 判定是否等于字符串"true"
    HTTPS=

  * 样式文件是否采用css-modules, 判定是否等于字符串"true", 采用css-modules也留了一个缺口文件夹。源目录下的APP_SRC/assets文件夹不进行css modules处理
    CSS_MODULES=

### 开发环境下代理

  *  package.json文件中的proxy属性
