import React from 'react'
import PropTypes from 'prop-types'

import './app.css'

export default function AppComponent(props) {
  return (
    <div
      className="App"
      onKeyUp={props.handleClick}
      onClick={props.handleClick}
      role="button"
      tabIndex={0}
    >
      {props.text}
    </div>
  )
}

AppComponent.propTypes = {
  text: PropTypes.string.isRequired,
  handleClick: PropTypes.func.isRequired,
}
