/* eslint-disable import/no-unresolved */
'use strict'; // eslint-disable-line

// 获取环境变量为InterpolateHtmlPlugin和DefinePlugin两个插件提供数据
function getClientEnvironment(publicUrl) {
  const raw = Object.keys(process.env)
    .reduce(
      (env, key) => {
      // 相比于返回新创建对象，直接修改参数对象消耗少
        env[key] = process.env[key] // eslint-disable-line
        return env
      },
      {
        PUBLIC_URL: publicUrl,
      },
    )
  const stringified = {
    'process.env': Object.keys(raw).reduce((env, key) => {
      env[key] = JSON.stringify(raw[key]) // eslint-disable-line
      return env
    }, {}),
  }

  return { raw, stringified }
}

module.exports = getClientEnvironment
